# Final Project ToDo list

## Final Report (.docx)

- [ ] 1 IEEE 830 Software Requirements Specifications
  - [ ] 1.1 Introduction
    - [ ] 1.1.1 Purpose
    - [x] 1.1.2 Document Conventions
    - [ ] 1.1.3 Intended Audience and Reading Suggestions
    - [x] 1.1.4 Product Scope
    - [x] 1.1.5 References
  - [ ] 1.2 Overall Description
    - [x] 1.2.1 Product Perspective
    - [ ] 1.2.2 Product Functions
    - [ ] 1.2.3 User Classes and Characteristics
		- [x] 1.2.3.1 Mall Patron
		- [ ] 1.2.3.2 IT Maintenance Technician
    - [x] 1.2.4 Operating Environment
    - [x] 1.2.5 Design and Implementation Constraints
    - [x] 1.2.6 User Documentation
    - [ ] 1.2.7 Assumptions and Dependencies
  - [ ] 1.3 External Interface Requirements
    - [x] 1.3.1 User Interfaces
    - [x] 1.3.2 Hardware Interfaces
    - [ ] 1.3.3 Software Interfaces
    - [ ] 1.3.4 Communications Interfaces
  - [ ] 1.4 System Features
    - [x] 1.4.1 System Feature #1
    - [ ] 1.4.2 System Feature #2
		- [ ] 1.4.2.1 Introduction/Purpose
		- [x] 1.4.2.2 Stimulus/Response Sequence
    - [ ] 1.4.3 System Feature #3
		- [ ] 1.4.3.1 Introduction/Purpose
		- [x] 1.4.3.2 Stimulus/Response Sequence
    - [ ] 1.4.4 System Feature #4
		- [ ] 1.4.4.1 Introduction/Purpose
		- [x] 1.4.4.2 Stimulus/Response Sequence
    - [ ] 1.4.5 System Feature #5
		- [ ] 1.4.5.1 Introduction/Purpose
		- [x] 1.4.5.2 Stimulus/Response Sequence
    - [ ] 1.4.6 System Feature #6 Update System Map
  - [ ] 1.5 Other Nonfunctional Requirements
    - [x] 1.5.1 Performance Requirements
    - [x] 1.5.2 Portability
    - [x] 1.5.3 Security Requirements
    - [x] 1.5.4 Software Quality Attributes
    - [ ] 1.5.5 Business Rules
- [ ] 2 OOAD Diagrams
	- [x] 2.1 Use Case Diagram
	- [ ] 2.2 Use Case Specifications
		- [x] 2.2.1 Use Case #1
		- [x] 2.2.2 Use Case #2
		- [ ] 2.2.3 Use Case #3
		- [ ] 2.2.4 Use Case #4
	- [x] 2.3 Class Diagram
	- [x] 2.4 Sequence Diagrams
	- [x] 2.5 State Machine Diagram
- [x] 3 Risk Assessment Matrix
- [ ] 4 Test Plan
  - [x] 4.1 Test Plan Identifier
  - [x] 4.2 Introduction
  - [x] 4.3 Test Items
  - [ ] 4.4 Features to be Tested
  - [x] 4.5 Features not to be Tested
  - [x] 4.6 Approach
  - [x] 4.7 Items Pass/Fail Criteria
  - [x] 4.8 Test Deliverables
  - [x] 4.9 Environmental Needs
  - [x] 4.10 Responsibilities
  - [x] 4.11 Staffing and Training Needs
  - [x] 4.12 Schedule
  - [x] 4.13 Risks and contingencies
- [x] 5 Test Cases
  - [x] 5.1 Test Case #1
  - [x] 5.2 Test Case #2
  - [x] 5.3 Test Case #3
  - [x] 5.4 Test Case #4
- [ ] 6 Individual Level Summary Evaluations
  - [ ] 6.1 Team Member <<Ramon Contreras>> Evaluation
  - [ ] 6.2 Team Member <<Mehdi Gharibkhani>> Evaluation
  - [ ] 6.3 Team Member <<Bryan Mirra>> Evaluation
  - [ ] 6.4 Team Member <<Adrian Villalpando>> Evaluation
- [ ] 7 Project Level Summary Evaluations
  - [ ] 7.1 Analysis and Design Evaluation - Requirements
	- [x] What would you do better or differently?
	- [ ] What as the quality of the tools and techniques
	- [ ] Are the requirements clear?
	- [x] What are the strengths and weaknesses?
	- [ ] What are your recommendations or suggestions?
  - [x] 7.2 Analysis and Design Evaluation – Analysis and Design
  - [x] 7.3 Analysis and Design Evaluation – Testing and Team
	  - [x] 7.3.1 Testing Evaluation
	  - [x] 7.3.2 Team Evaluation
- [x] 8 Updated Project Plan
